org.custommonkey.xmlunit.exceptions

## Class XMLUnitException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.custommonkey.xmlunit.exceptions.XMLUnitException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XpathException

    public abstract class XMLUnitException
    extends java.lang.Exception

Base class of any checked exception that can be thrown within XMLUnit.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `XMLUnitException(java.lang.String message, java.lang.Throwable cause)` Inititializes the exeption.

### Method Summary

Methods
`java.lang.Throwable` `getCause()` Root cause of the exception, if any.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XMLUnitException

    protected XMLUnitException(java.lang.String message,
                    java.lang.Throwable cause)

Inititializes the exeption.

Parameters:
  `message` - the detail message
  `cause` - the root cause of the exception

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Root cause of the exception, if any.

Overrides:
  `getCause` in class `java.lang.Throwable`